##############################################################################
#
# Copyright (c) Zope Corporation and Contributors.
# All Rights Reserved.
#
# This software is subject to the provisions of the Zope Public License,
# Version 2.1 (ZPL).  A copy of the ZPL should accompany this distribution.
# THIS SOFTWARE IS PROVIDED "AS IS" AND ANY AND ALL EXPRESS OR IMPLIED
# WARRANTIES ARE DISCLAIMED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF TITLE, MERCHANTABILITY, AGAINST INFRINGEMENT, AND FITNESS
# FOR A PARTICULAR PURPOSE.
#
##############################################################################

name, version = 'zc.monitorlogstats', '0.1.0'

import os, setuptools

def read(rname):
    return open(os.path.join(os.path.dirname(__file__), *rname.split('/')
                             )).read()

entry_points = """
"""

setuptools.setup(
    name = name,
    version = version,
    author = 'Jim Fulton',
    author_email = 'jim@zope.com',
    description = 'Log handler and zc.z3monitor plugin to monitor log activity',
    long_description = (
        read('src/zc/%s/README.txt' % name.split('.')[-1])
        + '\n' +
        'Download\n'
        '--------\n'
        ),
    license = 'ZPL 2.1',
    
    include_package_data = True,
    packages = setuptools.find_packages('src'),
    namespace_packages = ['zc'],
    package_dir = {'': 'src'},
    install_requires = ['setuptools'],
    zip_safe = False,
    entry_points=entry_points,
    extras_require = dict(test=['ZConfig'])
    )
